# Get events available today in city (deprecated) Returns an array of activities available today in a city. Endpoint: GET /cities/{cityId}/events/today Version: 3.5.0 ## Path parameters: - `cityId` (integer, required) The numeric ID of the city. ## Header parameters: - `Accept-Language` (string) The value of this parameter might affect the language of the content in the response, provided a translation in the requested language is available. - `X-Musement-Application` (string) A partner's application value, used for analyzing API usage and to identify areas of improvement. - `X-Musement-Currency` (string) A valid currency code from the /currencies endpoint. Default value may vary depending on the X-Musement-Market header value. - `X-Musement-Market` (string) Musement markets contain a modified catalog of activities and prices. Partners are expected to use their assigned market code to view their customized catalog. An invalid X-Musement-Market value will return a 400 status code response. - `X-Musement-Version` (string) The API version to use for the request. When absent, the latest version is used by default, however the latest version may not be stable. Partners are encouraged to use the latest stable version: 3.4.0. Example: "3.4.0" ## Query parameters: - `limit` (integer) Limit the maximum number of results to include in the response. - `offset` (integer) Exclude the first N results from the response, where N is the specified integer value. ## Response 200 fields (application/json): - `about` (string) The main description of the activity. Does not contain HTML. Translated based on the Accept-Language header value. Example: "Join this exclusive tour to discover one of the most iconic works ever: Leonardo da Vinci's Last Supper.You will meet your expert guide in Piazza Santa Maria delle Grazie, where you will begin the tour with a brief explanation.Afterward, thanks to your skip-the-line ticket, you'll go inside straight away without having to wait at the entrance so you can be united with one of the most admired paintings in the world, created by one of the greatest geniuses that ever existed.Here your guide will continue to unravel all the mysteries behind this artwork. What's ironic about the location of the painting? How come The Last Supper isn't a fresco? What happened to the eyes of some characters? How is the painting structured? What do the conspiracy theories say? How do we recognize the genius of Leonardo da Vinci?You will find all the answers to these questions and many others on this unmissable tour!" - `about_html` (string) The main description of the activity in HTML. Translated based on the Accept-Language header value. Example: "
Join this exclusive tour to discover one of the most iconic works ever: Leonardo da Vinci's Last Supper.
You will meet your expert guide in Piazza Santa Maria delle Grazie, where you will begin the tour with a brief explanation.
Afterward, thanks to your skip-the-line ticket, you'll go inside straight away without having to wait at the entrance so you can be united with one of the most admired paintings in the world, created by one of the greatest geniuses that ever existed.
Here your guide will continue to unravel all the mysteries behind this artwork. What's ironic about the location of the painting? How come The Last Supper isn't a fresco? What happened to the eyes of some characters? How is the painting structured? What do the conspiracy theories say? How do we recognize the genius of Leonardo da Vinci?
You will find all the answers to these questions and many others on this unmissable tour!
" - `about_markdown` (string) The main description of the activity in the Markdown markup language. Translated based on the Accept-Language header value. Example: "Join this exclusive tour to discover one of the most iconic works ever: Leonardo da Vinci's Last Supper.\n\nYou will meet your expert guide in Piazza Santa Maria delle Grazie, where you will begin the tour with a brief explanation.\n\nAfterward, thanks to your skip-the-line ticket, you'll go inside straight away without having to wait at the entrance so you can be united with one of the most admired paintings in the world, created by one of the greatest geniuses that ever existed.\n\nHere your guide will continue to unravel all the mysteries behind this artwork. What's ironic about the location of the painting? How come The Last Supper isn't a fresco? What happened to the eyes of some characters? How is the painting structured? What do the conspiracy theories say? How do we recognize the genius of Leonardo da Vinci?\n\nYou will find all the answers to these questions and many others on this unmissable tour!" - `automatically_translated` (boolean) Whether any of the content in the response was machine translated or not. - `best_price` (boolean) Musement offers the cheapest price available for this activity compared to major competitors. - `booking_type` (string) Describes the reservation flow for the activity: * CALENDAR-NO-TIMESLOTS: Show calendar with dates, but no timeslots. * CALENDAR-TIMESLOTS: Show calendar with dates and timeslots. * NO-CALENDAR-FIXED-END: Don't show calendar or timeslots. Purchases are valid until a specific date. * NO-CALENDAR-FIXED-VALIDITY: Don't show calendar or timeslots. Purchases are valid for a specific number of days. Enum: "CALENDAR-TIMESLOTS", "CALENDAR-NO-TIMESLOTS", "NO-CALENDAR-FIXED-END", "NO-CALENDAR-FIXED-VALIDITY" - `buy_multiplier` (integer) This property affects activities connected to packages. A voucher is issued for each multiple of the property value. Example: 1 - `categories` (array) The categories the activity belongs to. Example: [{"code":"new-attractions-guided-tours","cover_image_url":"https://images.musement.com/cover/0001/10/da-vinci-s-last-supper-skip-the-line-tickets-and-guided-tour_header-9730.jpeg?w=540","event_image_url":"https://images.musement.com/cover/0001/10/da-vinci-s-last-supper-skip-the-line-tickets-and-guided-tour_header-9730.jpeg?w=540","id":209,"level":"1","name":"Attractions & guided tours","url":"https://www.musement.com/us/milan/attractions-guided-tours-c/"}] - `categories.id` (integer) The category's numerical ID. Example: 185 - `categories.name` (string) The category's name, translated based on the Accept-Language header value. Example: "Activities" - `categories.level` (string) The category's level in the category tree. Example: "1" - `categories.code` (string) A unique string code for the category. Example: "new-activities" - `categories.event_image_url` (string) - `categories.cover_image_url` (string) - `categories.url` (string) An automatically generated Musement URL for the category based on the X-Musement-Market header, code property and city property (when present). The URL is only valid for select X-Musement-Market values and categories. Example: "https://.sbox.musement.com/us/all/activities-c/" - `categories.city` (object) - `categories.city.activities_count` (integer) The number of available activities for the city. - `categories.city.id` (integer) The city's numeric ID. - `categories.city.code` (string) A string identifier for the city, based on the English version of the city name. This property is not affected by the Accept-Language header. - `categories.city.content` (string) A plain text description of the city, translated according to the Accept-Language header value. - `categories.city.content_html` (string) A description of the city with HTML tags, translated according to the Accept-Language header value. - `categories.city.country` (object) - `categories.city.country.country_prefix` (string) The country's main telephone country code. Example: "+39" - `categories.city.country.currency_code` (string) The main currency for the country as a Musement currency code. For a complete list of currencies, refer to the /currencies endpoint. Example: "EUR" - `categories.city.country.iso_code` (string, required) The two-character ISO code for the country. Example: "IT" - `categories.city.country.iso3char` (string, required) The three-character ISO code for the country. Example: "ITA" - `categories.city.country.name` (string, required) The country's name, translated based on the Accept-Language header value. Example: "Italy" - `categories.city.country.id` (integer, required) The country's numeric ID. This property will be removed in the future. Example: 82 - `categories.city.cover_image_url` (string) A URL for the city's cover image. - `categories.city.event_count` (integer) The number of available activities for the city. - `categories.city.headline` (string) An SEO-friendly version of the city name for a page headline, translated based on the Accept-Language header value. - `categories.city.latitude` (number) - `categories.city.longitude` (number) - `categories.city.list_count` (integer) The number of available Musement list pages for the city. - `categories.city.meta_description` (string) An SEO-friendly description of the city, translated based on the Accept-Language header value. - `categories.city.meta_title` (string) An SEO-friendly version of the city name, translated based on the Accept-Language header value. - `categories.city.name` (string) The name of city, translated according to the Accept-Language header value. - `categories.city.slug` (string) The city slug, used for creating the city URL. Changes based on the value of the Accept-Language value. - `categories.city.time_zone` (string) The city's time zone. - `categories.city.top` (boolean) When true, the city is considered one of Musement's most popular cities. - `categories.city.url` (string) An automatically generated Musement URL for the city based on the X-Musement-Market header and slug property. The URL is only valid for select X-Musement-Market values and cities. - `categories.city.uuid` (string) The city's UUID. - `categories.city.venue_count` (integer) The number of available venues in the city. - `categories.city.weight` (integer) A property used for ranking multiple cities by popularity. Top selling cities will have a higher value. - `categories.city.more` (string) Additional information about the city in plain text, ideal for a "Read more" section, translated based on the Accept-Language header value. - `categories.city.more_html` (string) Additional information about the city with HTML tags, ideal for a "Read more" section, translated based on the Accept-Language header value. - `categories.meta_description` (string) An SEO-friendly description of the category, translated based on the Accept-Language header value. - `categories.meta_title` (string) An SEO-friendly version of the category name to use for search results, translated based on the Accept-Language header value. - `categories.headline` (string) An SEO-friendly version of the category name for a page headline, translated based on the Accept-Language header value. - `categories.parent_id` (integer) The ID of the category's parent, if any. - `child_retail_price` (object) The lowest price for child options. Only appears for activities connected to certain integrations. Example: {"currency":"USD","formatted_value":"$ 10.00","formatted_iso_value":"$10.00","value":10} - `child_retail_price.currency` (string, required) The currency of the price, using a currency code from the /currencies endpoint. Example: "USD" - `child_retail_price.formatted_iso_value` (string, required) The price and currency, formatted based on the value of the Accept-Language header value. Example: "$10.00" - `child_retail_price.formatted_value` (string, required) The currency symbol and price, separated by a space. Example: "$ 10.00" - `child_retail_price.value` (number, required) The numeric value of the price. Example: 10 - `cover_image_url` (string) The URL for the activity's cover image. Example: "https://images.musement.com/cover/0001/10/da-vinci-s-last-supper-skip-the-line-tickets-and-guided-tour_header-9730.jpeg?w=540" - `cutoff_time` (string) A time range which will always be unavailable. Dates that fall within the time range do not appear in the /activities/{activityUuid}/dates endpoint. Values follow the ISO 8601 standard. Example: "P2D" - `daily` (boolean) When the booking_type property is CALENDAR-NO-TIMESLOTS, the daily property will be true. Ignore this property for all other booking_type values. - `description` (string) Same as the meta_description property. Example: "Buy your skip-the-line tickets for the Last Supper in Milan. Enjoy a guided tour and discover the mysteries hidden behind one of the most important works ever!" - `discount` (integer) A discount percentage that might be applied to some (or all) prices in the activity. - `duration_range` (object) A general overview of how long a customer's experience with an activity will last. The min and max properties are both optional. Their presence changes the meaning of the duration: When the min and max are both present and equal, this is a single period of time. Example: Lasts 2 hours* When min and max are both present, but different, the activity spans a range of time. Example: Lasts 1 to 2 hours* When min is absent and max is present, the minimum duration is unknown. Example: Lasts up to 2 hours* When min is present and max is absent, the maximum duration is unknown. Example: Lasts at least 1 hour* When either min or max has a value of P0D, the duration cannot be well-defined. Example: Flexible* When the entire duration_range property is absent, use the validity` property instead. Example: {"max":"PT45M"} - `duration_range.max` (string) The maximum amount of time an activity will last, if known. Value follows the ISO 8601 standard. Example: "PT45M" - `duration_range.min` (string) The minimum amount of a time an activity will last, if known. Value follows the ISO 8601 standard. - `emergency_phone_number` (string) When customers are lost or running late, they can use the information in this property to contact the activity provider for help finding the meeting point. Does not contain HTML. Translated based on the Accept-Language header value. - `exclusive` (boolean) This activity only available via Musement's catalog. - `features` (array) A list of features for the activity and/or reservation flow. Example: [{"code":"musement-tour","name":"features.musement-tour"},{"code":"istant","name":"Instant confirmation"},{"code":"skip","name":"Skip the line"},{"code":"official","name":"Official reseller"}] - `features.code` (string, required) A unique code that identifies the metadata item. - `features.name` (string, required) The name of the metadata item, translated based on the Accept-Language header value. - `flavours` (array) A list of tags about some of the activity's characteristics. Example: [{"active":true,"id":111,"name":"Guided Tour","slug":"guided-tour"},{"active":true,"id":2,"name":"Entrance Tickets","slug":"entrance-tickets"}] - `flavours.active` (boolean, required) - `flavours.id` (integer, required) The flavour's numeric ID. - `flavours.name` (string, required) The name of the flavour, translated based on the Accept-Language header value. - `flavours.slug` (string, required) - `food` (array) A list of meals the activity includes. Example: [] - `free_cancellation` (boolean) When true, the activity will offer a 100% refund for certin cancellations. Use the /activities/{activityUuid}/refund-policies endpoint for more details. Example: true - `giftcard` (boolean) Whether the activity is a Musement gift card or not. - `giftable` (boolean) Whether the activity can be given as a gift on [musement.com](https://www.musement.com) or not. Example: true - `green_fee_days` (integer) The number of green fee days included for activities that take place at golf courses. - `group_size` (array) The activity is able to accommodate groups of the listed sizes. Example: [{"code":"small","name":"Small group"}] - `has_extra_customer_data` (boolean) Whether the activity requires extra customer data or not. - `has_multiple_options` (boolean) Whether the activity has multiple ticket options or not. - `has_passenger_info` (boolean) Whether the activity requires participant info or not. - `has_price_info_on_date` (boolean) When true, dates in the /activities/{activityUuid}/dates endpoint will include price information. Example: true - `highlights` (array) A list of useful selling points for the activity. Does not contain HTML. Does not include taxonomies. Translated based on the Accept-Language header value. Example: ["Admire Leonardo da Vinci's Last Supper","Enter quickly by skipping the line at the entrance","Discover the wonders and mysteries hidden behind this work of art"] - `included` (array) A list of inclusions. Does not contain HTML. Does not include taxonomies. Translated based on the Accept-Language header value. Example: ["Exclusive English or Italian-speaking Musement guide","Skip-the-line entrance to Leonardo da Vinci's Last Supper"] - `included_hotel_night_number` (integer) The number of nights at a hotel that the activity includes. - `info` (string) Additional information about the activity, such as security or weather considerations. Contains HTML. Translated based on the Accept-Language header value. Example: "At the corner of Piazza Santa Maria delle Grazie and Corso Magenta - in front of the Vigna di Leonardo Ticket Office, at least 15 minutes before the starting time of the tour.
" - `meeting_point_markdown` (string) Additional details about where customers will start the activity in the Markdown markup language. Translated based on the Accept-Language header value. Example: "At the corner of Piazza Santa Maria delle Grazie and Corso Magenta - in front of the Vigna di Leonardo Ticket Office, at least 15 minutes before the starting time of the tour." - `merchant_price` (object) The price for partners based on commercial agreements. Appears for authenticated requests. Example: {"currency":"USD","formatted_value":"$ 10.00","formatted_iso_value":"$10.00","value":10} - `meta_description` (string) An SEO-friendly description of the activity. Does not contain HTML. Translated based on the Accept-Language header value. Example: "Buy your skip-the-line tickets for the Last Supper in Milan. Enjoy a guided tour and discover the mysteries hidden behind one of the most important works ever!" - `meta_title` (string) An SEO-friendly version of the activity title to use for search results. Does not contain HTML. Translated based on the Accept-Language header value. Example: "Skip-the-line tickets and guided tour of the Last Supper" - `must_see` (boolean) The activity is popular enough to be considered a "must see". - `needs_voucher` (boolean) When true, the activity provider must manually review and confirm (or refuse) each reservation. When this is the case, the activity is not instant confirmation. - `no_index` (boolean) When true, the activity should not be indexed by search engines. - `not_included` (array) A list of exclusions. Does not contain HTML. Does not include taxonomies. Translated based on the Accept-Language header value. Example: [] - `numbered_seats` (boolean) When true, affects the min_buy parameter in the /activities/{activityUuid}/dates/{date} endpoint for select seller gateways. - `open` (boolean) When true, the activity booking_type property has a value of NO-CALENDAR-FIXED-END or NO-CALENDAR-FIXED-VALIDITY. - `operational_days` (string) A short summary of which days the activity is available. Contains HTML. Translated based on the Accept-Language header value. - `order_box_elements` (array) Determines if pickups are a required part of the reservation flow. Value is an array with a single item, one of the following values: * tours-and-activities: Pickups are not part of the reservation flow. * tours-and-activities-with-pickup: Customers must select a pickup point for a reservation. Enum: "tours-and-activities", "tours-and-activities-with-pickup" - `original_retail_price` (object) The base price with a service fee, but no discount. Example: {"currency":"USD","formatted_value":"$ 10.00","formatted_iso_value":"$10.00","value":10} - `original_retail_price_without_service_fee` (object) The base price with a discount, but no service fee. Example: {"currency":"USD","formatted_value":"$ 10.00","formatted_iso_value":"$10.00","value":10} - `partner_internal_code` (string) An activity provider's own identifier for the activity. - `relevance` (integer) This is the default property used to sort activities, typically from highest to lowest. Example: 900 - `relevance_venue` (integer) This property is used to sort activities by their venue, typically from highest to lowest. Example: 10000 - `retail_price` (object) The final price for customers. Example: {"currency":"USD","formatted_value":"$ 10.00","formatted_iso_value":"$10.00","value":10} - `retail_price_without_service_fee` (object) The base price with a discount, but no service fee. Example: {"currency":"USD","formatted_value":"$ 10.00","formatted_iso_value":"$10.00","value":10} - `reviews_aggregated_info` (object) A breakdown of the number of reviews for the activity using a "five star" rating system, where a value of 0 is poor and a value of 5 is excellent. Example: {"0":1,"1":5,"2":13,"3":154,"4":1974,"5":2201} - `reviews_aggregated_info.0` (integer) Example: 1 - `reviews_aggregated_info.1` (integer) Example: 5 - `reviews_aggregated_info.2` (integer) Example: 13 - `reviews_aggregated_info.3` (integer) Example: 154 - `reviews_aggregated_info.4` (integer) Example: 1974 - `reviews_aggregated_info.5` (integer) Example: 2201 - `reviews_avg` (number) The overall rating for this activity based on the reviews. Example: 4.5 - `reviews_number` (integer) The total number of reviews for this activity. Example: 4348 - `service_fee` (object) An extra fee to add to the base price to cover additional costs for creating a reservation. Example: {"currency":"USD","formatted_value":"$ 10.00","formatted_iso_value":"$10.00","value":10} - `services` (array) A list of customer-friendly services included in the activity. Example: [{"code":"dress-code","name":"Dress code"}] - `slug` (string) An automatically generated URL-friendly slug based on the title property. Example: "da-vinci-s-last-supper-skip-the-line-tickets-and-guided-tour" - `slug_id` (string) A combination of the slug property and the activity's numeric ID. This property is used for generating URLs for activities on [musement.com](https://www.musement.com). Example: "da-vinci-s-last-supper-skip-the-line-tickets-and-guided-tour-497" - `sold_out` (boolean) When true, the activity is no longer available for purchase. - `special_offer` (boolean) The activity has a temporary discount. - `status` (string) The publication state of the activity and whether it is available for purchase The typical publication flow follows: 1. DRAFT: The activity is being configured and is not available for purchase. 1. REVIEW: The activity is being reviewed before publication and is not available for purchase yet. 1. ONLINE: The activity has been published and is ready for purchase. The status of an ONLINE activity can change when an activity is no longer available. It can change to either of the following statuses: * ARCHIVED * UNAVAILABLE An activity that is not available may return to a status of ONLINE again. Enum: "ARCHIVED", "DRAFT", "ONLINE", "REVIEW", "UNAVAILABLE" - `supplier` (object) Information about the activity provider. Example: {"company_name":"Musement - Cenacolo Vinciano","uuid":"c18dbadd-2044-11e7-9cc9-06a7e332783f"} - `supplier.company_name` (string) The name of the activity provider. Example: "Musement - Cenacolo Vinciano" - `supplier.uuid` (string) The activity provider's UUID. Example: "c18dbadd-2044-11e7-9cc9-06a7e332783f" - `supplier_currency` (string) The original currency the activity prices were loaded in, using a currency code from the /currencies endpoint. Example: "EUR" - `temporary` (boolean) Temporary activities are likely to end in the near future. - `ticket` (boolean) Whether the activity is only an admission ticket or not. - `ticket_not_included` (boolean) When an activity includes a particular attraction, this property indicates if entry to the attraction is included in the final price or not. - `title` (string) The activity title, translated based on the Accept-Language header value. Example: "Da Vinci's Last Supper skip-the-line tickets and guided tour" - `top_seller` (boolean) This is one of Musement's top selling activities. Example: true - `translated` (boolean) Whether the content in the response is a translation for the Accept-Language header value or not. Example: true - `uuid` (string) The activity's UUID. Example: "0f548def-2046-11e7-9cc9-06a7e332783f" - `validity` (string) When the duration_range property is absent, this property indicates the maximum period of time the activity is valid for a customer once they start. Value follows the ISO 8601 standard. When the property has a value of P0D, the activity does not have a well-defined length of time. Example: "P0D" - `venues` (array) A list of venues the activity belongs to. Example: [{"address":"Milan","cover_image_url":"https://images.musement.com/cover/0002/18/leonardo-s-last-supper_header-117602.jpeg","description":"The survival of Leonardo's masterpiece is almost as amazing as its vision. It was already being 'restored' in 1726, with an ill-advised application of caustic solvents and varnish. In 1770, Giusseppe Mazza repainted much of the original in oil. In 1853, Stefano Barezzi tried to detach the painting from the wall but failed and instead glued the paint fragments to the base.Only in 1903 was it discovered that the painting was done in tempera, not oil, and its surface was cleaned accordingly. A bomb nearly destroyed the refectory in 1943, but the work was successfully cleaned of mildew and lightened in 1947.Modern restoration showed that the historical over-painting was eating the original and causing it to flake. The decision was therefore made to remove everything added to the mural since it was completed in 1498 - an extremely time-consuming microscopic task using advanced technology. Today, the painting is preserved by an air-filtration system, a monitored environment, and dust-filtering technology. Visitors are limited to 25 people for 15 minutes each time.Opening times\n- 8.15am-6.45pm - Tuesday to Sunday\n- CLOSED: Mondays and public holidays 1 January, 1 May, 25 December\nAbout The Last SupperDuke Ludovico Sforza of Milan was behind the creation of Leonardo da Vinci's masterpiece The Last Supper. The Duke had adopted Santa Maria delle Grazie as his court church and wanted to decorate it in a manner that reflected his wealth and power. This meant a great painting by a great artist.Leonardo began work in 1495 on the northern wall of the refectory and completed the painting three years later, the complete image measuring 15x29ft. Contrary to popular belief, it was not a fresco, which required fast and decisive work before the wet plaster dried. Leonardo liked to take his time and change his mind, so he designed a new kind of application using tempera (an egg-based paint).Alas, the great genius Leonardo made a mistake this time. His base for the painting included pitch and mastic, which did not bond the pigment as well or as permanently as he had hoped. The aesthetic considerations, however, were sublime. Leonardo created his amazing illusions of perspective using a nail in the wall and strings radiating from it to ensure that all would be correctThe subject was a common one in churches, but Leonardo's innovation was to create a sense of drama and movement by portraying the exact moment when Jesus announced that one of his disciples would betray him. What we see is a radiating wave of shocked reaction. He also chose to portray all attendees in a straight line so that each could receive due attention.It's said that the faces in the work are based on real people known to the artist. Judas may have been a real-life local prisoner or criminal and, here, Leonardo puts him among the others rather than separate (as traditional dictated). Judas is the only one who seems not to be outraged or surprised. AddressPiazza Santa Maria delle Grazie 2, Milan Getting there\n- By Metro: Line 1: Conciliazione\n- By tram: Line 16: S Maria delle Grazia","headline":"Leonardo Da Vinci's Last Supper tickets and tours","id":393,"latitude":45.466091,"longitude":9.171187,"meta_description":"Get your tickets and tours for the Last Supper by Leonardo da Vinci in Milan. Admire one of the world's most famous masterpieces painted by one of the greatest artists!","meta_title":"Leonardo Da Vinci's Last Supper Tickets and Tours in Milan","name":"Leonardo's Last Supper","url":"https://www.musement.com/us/milan/leonardo-s-last-supper-v/"}] - `venues.address` (string, required) The local address of the venue. - `venues.cover_image_url` (string) A URL for the venue's cover image. - `venues.description` (string, required) A plain text description of the venue, translated based on the Accept-Language header value. - `venues.description_html` (string, required) A description of the venue with HTML tags in the language of the Accept-Language header. - `venues.events_count` (integer, required) The number of ONLINE activities in the venue. - `venues.id` (integer, required) The venue's numeric ID. - `venues.meta_description` (string) An SEO-friendly description of the venue, translated based on the Accept-Language header value. - `venues.meta_title` (string) An SEO-friendly version of the venue name, translated based on the Accept-Language header value. - `venues.name` (string, required) The venue name, translated based on the Accept-Language header value. - `venues.headline` (string) An SEO-friendly version of the venue name for a page headline, translated based on the Accept-Language header value. - `venues.relevance` (integer, required) A property used for ranking multiple venues by popularity. Top selling venues will have a higher value. - `venues.reviews_avg` (number, required) The average rating from reviews for all the activities in the venue. - `venues.reviews_number` (integer, required) The total number of reviews used to calculate the reviews_avg property. - `venues.slug` (string, required) The venue slug, used for creating the venue URL. Changes based on the value of the Accept-Language value. - `venues.status` (string, required) Enum: "ACTIVE", "NOT-ACTIVE" - `venues.url` (string, required) An automatically generated Musement URL for the venue based on the X-Musement-Market header, city property and slug property. The URL is only valid for select X-Musement-Market values and venues with a status of ACTIVE. - `venues.verticals` (array, required) Example: [{"active":true,"code":"sightseeing","cover_image_url":"https://images-sandbox.musement.com/vertical/0001/31/sightseeing-00-jpg_header-30549.jpeg?w=540","id":2,"meta_description":"Live every city like a local with Musement. Skip the line at some of the world's most popular attractions and discover hidden gems.","meta_title":"Access Top Tours and Attractions","name":"Tours & attractions","relevance":90,"slug":"tours-attractions","url":"https://.sbox.musement.com/us/tours-attractions-t/"}] - `venues.verticals.code` (string) A unique string code for the vertical. Example: "sightseeing" - `venues.verticals.count` (integer) - `venues.verticals.cover_image_url` (string) A URL for the vertical's cover image. Example: "https://images-sandbox.musement.com/vertical/0001/31/sightseeing-00-jpg_header-30549.jpeg?w=540" - `venues.verticals.id` (integer) The vertical's numeric ID. Example: 2 - `venues.verticals.name` (string) The vertical name, translated based on the Accept-Language header value. Example: "Tours & attractions" - `venues.verticals.slug` (string) The vertical slug, used for creating the vertical URL. Changes based on the value of the Accept-Language value. Example: "tours-attractions" - `venues.verticals.top_events` (array) Example: [{"about":"Join this exclusive tour to discover one of the most iconic works ever: Leonardo da Vinci's Last Supper.You will meet your expert guide in Piazza Santa Maria delle Grazie, where you will begin the tour with a brief explanation.Afterward, thanks to your skip-the-line ticket, you'll go inside straight away without having to wait at the entrance so you can be united with one of the most admired paintings in the world, created by one of the greatest geniuses that ever existed.Here your guide will continue to unravel all the mysteries behind this artwork. What's ironic about the location of the painting? How come The Last Supper isn't a fresco? What happened to the eyes of some characters? How is the painting structured? What do the conspiracy theories say? How do we recognize the genius of Leonardo da Vinci?You will find all the answers to these questions and many others on this unmissable tour!","about_html":"Join this exclusive tour to discover one of the most iconic works ever: Leonardo da Vinci's Last Supper.
You will meet your expert guide in Piazza Santa Maria delle Grazie, where you will begin the tour with a brief explanation.
Afterward, thanks to your skip-the-line ticket, you'll go inside straight away without having to wait at the entrance so you can be united with one of the most admired paintings in the world, created by one of the greatest geniuses that ever existed.
Here your guide will continue to unravel all the mysteries behind this artwork. What's ironic about the location of the painting? How come The Last Supper isn't a fresco? What happened to the eyes of some characters? How is the painting structured? What do the conspiracy theories say? How do we recognize the genius of Leonardo da Vinci?
You will find all the answers to these questions and many others on this unmissable tour!
","about_markdown":"Join this exclusive tour to discover one of the most iconic works ever: Leonardo da Vinci's Last Supper.\n\nYou will meet your expert guide in Piazza Santa Maria delle Grazie, where you will begin the tour with a brief explanation.\n\nAfterward, thanks to your skip-the-line ticket, you'll go inside straight away without having to wait at the entrance so you can be united with one of the most admired paintings in the world, created by one of the greatest geniuses that ever existed.\n\nHere your guide will continue to unravel all the mysteries behind this artwork. What's ironic about the location of the painting? How come The Last Supper isn't a fresco? What happened to the eyes of some characters? How is the painting structured? What do the conspiracy theories say? How do we recognize the genius of Leonardo da Vinci?\n\nYou will find all the answers to these questions and many others on this unmissable tour!","automatically_translated":false,"best_price":false,"booking_type":"CALENDAR-TIMESLOTS","buy_multiplier":1,"categories":[{"code":"new-attractions-guided-tours","cover_image_url":"https://images.musement.com/cover/0001/10/da-vinci-s-last-supper-skip-the-line-tickets-and-guided-tour_header-9730.jpeg?w=540","event_image_url":"https://images.musement.com/cover/0001/10/da-vinci-s-last-supper-skip-the-line-tickets-and-guided-tour_header-9730.jpeg?w=540","id":209,"level":"1","name":"Attractions & guided tours","url":"https://www.musement.com/us/milan/attractions-guided-tours-c/"}],"city":{"code":"milan","content":"Top 6 things to do in MilanFashion paradise, design haven and the epitome of old-school elegance, Milan is a city with many faces. And discovering them is all part of its charm. Known for seamlessly combining both the historic and the on-trend, it's a place where haughty couture and chic dining goes hand-in-hand with magnificent palazzos, ancient churches and early Renaissance art. With so much to dazzle you, we've made it easier by selecting some of our all-time favorites. From gazing awe-struck at Da Vinci's magnificent Last Supper, to admiring the Old Masters at the Pinacoteca or enjoying a night at the city's world-famous opera house, we show you how to make the most of your trip to one of Italy's most cosmopolitan cities.1. The Last Supper Nothing compares to seeing one of Da Vinci's greatest works in the flesh (so to speak). Faded and fragile, partly due to Da Vinci experimenting with an unusual mix of oil and tempera, it's still a staggering work. Not least because of its striking composition and perspective, light years ahead of its time.2. The Duomo Six hundred years in the making, this epic white-marbled cathedral is not to be missed. Brimming with over a hundred spires and 3400 statues, it's the city's most elaborate symbol. Equally impressive is the interior with its enormous stained glass windows, while the rooftop offers spectacular views.3. PinacotecaImmerse yourself in the Old Masters, such as Titian, Tintoretto and Veronese to name a few. Our top highlights include Mantegna's Lamentation over the Dead Christ with its fantastic perspective and brutal realism, along with The Kiss by Francesco Hayez, a passionate symbol of Italy's unification.4. Galleria Vittorio Emanuele IIWith its glorious high arches of glass and steel, and marbled mosaic floors, the Galleria makes for an atmospheric stroll at any time of day. One of the world's oldest shopping arcades, it's also an ideal stop for high-end boutiques, with plenty of fancy dining options if you happen to get hungry.5. La ScalaA night at the opera reaches new heights when it's at La Scala. One of the world's famed opera houses, its stage has been graced by the likes of Maria Callas while Verdi built his impressive reputation here. For non-opera fans, there's also ballet and classical music performances, along with theater tours.6. Da Vinci's VineyardMany don't know that while Da Vinci was painting the Last Supper, he was also tending to his nearby vineyard. Gifted to him by Duke Ludovico Sforza in 1498, it's since been painstakingly recreated so not only can you saunter through the vines as Da Vinci might have done, you can also sip the same wine.Planning your Milan visitWhen to go?Milan is always a good idea, regardless of the month or season. In spring the weather is sunny and mild, while the city buzzes with international events such as Salone del Mobile and Fashion Week. Summer is also popular although it tends to get hot and humid, and the mosquitoes come out in droves. Locals flee the city, especially on the weekends, so it can be nice because the city feels a little less packed. Keep in mind though that come August and shops and restaurants outside of the center are likely to be closed or have summer trading hours. Autumn is ideal for the moderate weather and fewer tourists, while during the winter months you'll get to enjoy the Christmas markets, opera season at La Scala and January sales.How to get there?The city is serviced by three airports. The Malpensa Airport is the main airport for international flights. From here to the city center it's a 50-minute shuttle bus or train ride (via the Malpensa Express; €13 one way). By taxi it will cost €90 fixed fare. The Linate airport is more centrally located and serves mainly domestic flights and those from within the EU. Coaches or public buses (No. 73) are a 30-minute ride to the center, while taxis cost around €20 to €30. The Bergamo airport (Orio al Serio) is used mostly by budget airlines and is a 1-hour bus ride (€8 one way) from central Milan.How many days should you spend?Milan is a city that can be explored over both a weekend, a week, or even a month. In 48 hours you'll be able to experience all its main sights, from Leonardo's Last Supper to a night at La Scala, but keep in mind you'll have to plan in advance for most tickets. Instead, if you want to really immerse yourself in the city, we recommend you taking a little more time. Not only will you be able to shop the world-famed Quadrilatero d'Oro and wander the picturesque Navigli (canals), this will also give you time to get into the rhythm of the city and enjoy local delights, like a classic aperitivo.How to move around the city?The ATM runs the metro, bus and tram services. You'll be able to get to most places via the metro, which has four underground lines (a fifth is projected for the near future): red M1, green M2, yellow M3, and lilac M5. There's also the suburban rail network (the Passante Ferroviario), although it runs much less frequently. A single ticket costs €2; it's valid either for one metro ride or 90 minutes of travel on buses and trams. Other ticket options include a 10-trip carnet (€18) or 3-day ticket (€12).Where to shop?Milan is renowned for shopping and there's no shortage of high-end boutiques and classy consumer goods to swoon over. The Quadrilatero d'Oro is the city's acclaimed shopping district. Framed by four streets - Via Monte Napoleone, Via Sant'Andrea, Via Senato and Via Manzoni - within is a back-to-back line-up of stores by fashion power brands, such as Gucci, Versace, Prada etc. You'll find many of the same brands in the city's main shopping center, Rinascente, right next to the Duomo. Otherwise, if you're looking for something a little less glam, Via Torino has more mainstream brands such as H&M and Zara. Those interested in vintage and alternative clothing need look no further than the hip Ticinese area.","country":{"id":82,"iso_code":"IT","name":"Italy"},"cover_image_url":"https://images.musement.com/cover/0002/39/milan-vittorio-emanuele-ii-gallery-italy-jpg_header-138313.jpeg","headline":"Things to do in Milan: tours and activities","id":1,"latitude":45.459,"longitude":9.183,"meta_description":"Discover Milan and book tickets to the best tours, attractions, and activities. Admire the Duomo of Milan, visit Leonardo's Last Supper or go on a city walking tour.","meta_title":"Things to do in Milan: Attractions, tours, and activities","name":"Milan","slug":"milan","time_zone":"Europe/Rome","top":false,"url":"https://www.musement.com/us/milan/","weight":11},"cover_image_url":"https://images.musement.com/cover/0001/10/da-vinci-s-last-supper-skip-the-line-tickets-and-guided-tour_header-9730.jpeg?w=540","cutoff_time":"P2D","daily":false,"description":"Buy your skip-the-line tickets for the Last Supper in Milan. Enjoy a guided tour and discover the mysteries hidden behind one of the most important works ever!","discount":0,"duration_range":{"max":"PT45M"},"exclusive":false,"features":[{"code":"musement-tour","name":"features.musement-tour"},{"code":"istant","name":"Instant confirmation"},{"code":"skip","name":"Skip the line"},{"code":"official","name":"Official reseller"}],"flavours":[{"active":true,"id":111,"name":"Guided Tour","slug":"guided-tour"},{"active":true,"id":2,"name":"Entrance Tickets","slug":"entrance-tickets"}],"food":[],"free_cancellation":true,"giftable":true,"giftcard":false,"group_size":[{"code":"small","name":"Small group"}],"has_multiple_options":false,"has_price_info_on_date":true,"highlights":["Admire Leonardo da Vinci's Last Supper","Enter quickly by skipping the line at the entrance","Discover the wonders and mysteries hidden behind this work of art"],"included":["Exclusive English or Italian-speaking Musement guide","Skip-the-line entrance to Leonardo da Vinci's Last Supper"],"info":"At the corner of Piazza Santa Maria delle Grazie and Corso Magenta - in front of the Vigna di Leonardo Ticket Office, at least 15 minutes before the starting time of the tour.
","meeting_point_markdown":"At the corner of Piazza Santa Maria delle Grazie and Corso Magenta - in front of the Vigna di Leonardo Ticket Office, at least 15 minutes before the starting time of the tour.","meta_description":"Buy your skip-the-line tickets for the Last Supper in Milan. Enjoy a guided tour and discover the mysteries hidden behind one of the most important works ever!","meta_title":"Skip-the-line tickets and guided tour of the Last Supper","must_see":false,"needs_voucher":false,"no_index":false,"not_included":[],"numbered_seats":false,"open":false,"order_box_elements":["tours-and-activities"],"original_retail_price":{"currency":"USD","formatted_iso_value":"$48.00","formatted_value":"$ 48.00","value":48},"original_retail_price_without_service_fee":{"currency":"USD","formatted_iso_value":"$48.00","formatted_value":"$ 48.00","value":48},"relevance":900,"relevance_venue":10000,"retail_price":{"currency":"USD","formatted_iso_value":"$48.00","formatted_value":"$ 48.00","value":48},"retail_price_without_service_fee":{"currency":"USD","formatted_iso_value":"$48.00","formatted_value":"$ 48.00","value":48},"reviews_aggregated_info":{"0":1,"1":5,"2":13,"3":154,"4":1974,"5":2201},"reviews_avg":4.5,"reviews_number":4348,"seller_gateway":{"code":"Direct","name":"Musement Partner"},"service_fee":{"currency":"USD","formatted_iso_value":"$0.00","formatted_value":"$ 0.00","value":0},"services":[{"code":"dress-code","name":"Dress code"}],"slug":"da-vinci-s-last-supper-skip-the-line-tickets-and-guided-tour","slug_id":"da-vinci-s-last-supper-skip-the-line-tickets-and-guided-tour-497","sold_out":false,"special_offer":false,"status":"ONLINE","supplier":{"company_name":"Musement - Cenacolo Vinciano","uuid":"c18dbadd-2044-11e7-9cc9-06a7e332783f"},"supplier_currency":"EUR","temporary":false,"ticket":false,"ticket_not_included":false,"title":"Da Vinci's Last Supper skip-the-line tickets and guided tour","top_seller":true,"translated":true,"url":"https://www.musement.com/us/milan/da-vinci-s-last-supper-skip-the-line-tickets-and-guided-tour-497/","uuid":"0f548def-2046-11e7-9cc9-06a7e332783f","validity":"P0D","venues":[{"address":"Milan","cover_image_url":"https://images.musement.com/cover/0002/18/leonardo-s-last-supper_header-117602.jpeg","description":"The survival of Leonardo's masterpiece is almost as amazing as its vision. It was already being 'restored' in 1726, with an ill-advised application of caustic solvents and varnish. In 1770, Giusseppe Mazza repainted much of the original in oil. In 1853, Stefano Barezzi tried to detach the painting from the wall but failed and instead glued the paint fragments to the base.Only in 1903 was it discovered that the painting was done in tempera, not oil, and its surface was cleaned accordingly. A bomb nearly destroyed the refectory in 1943, but the work was successfully cleaned of mildew and lightened in 1947.Modern restoration showed that the historical over-painting was eating the original and causing it to flake. The decision was therefore made to remove everything added to the mural since it was completed in 1498 - an extremely time-consuming microscopic task using advanced technology. Today, the painting is preserved by an air-filtration system, a monitored environment, and dust-filtering technology. Visitors are limited to 25 people for 15 minutes each time.Opening times\n- 8.15am-6.45pm - Tuesday to Sunday\n- CLOSED: Mondays and public holidays 1 January, 1 May, 25 December\nAbout The Last SupperDuke Ludovico Sforza of Milan was behind the creation of Leonardo da Vinci's masterpiece The Last Supper. The Duke had adopted Santa Maria delle Grazie as his court church and wanted to decorate it in a manner that reflected his wealth and power. This meant a great painting by a great artist.Leonardo began work in 1495 on the northern wall of the refectory and completed the painting three years later, the complete image measuring 15x29ft. Contrary to popular belief, it was not a fresco, which required fast and decisive work before the wet plaster dried. Leonardo liked to take his time and change his mind, so he designed a new kind of application using tempera (an egg-based paint).Alas, the great genius Leonardo made a mistake this time. His base for the painting included pitch and mastic, which did not bond the pigment as well or as permanently as he had hoped. The aesthetic considerations, however, were sublime. Leonardo created his amazing illusions of perspective using a nail in the wall and strings radiating from it to ensure that all would be correctThe subject was a common one in churches, but Leonardo's innovation was to create a sense of drama and movement by portraying the exact moment when Jesus announced that one of his disciples would betray him. What we see is a radiating wave of shocked reaction. He also chose to portray all attendees in a straight line so that each could receive due attention.It's said that the faces in the work are based on real people known to the artist. Judas may have been a real-life local prisoner or criminal and, here, Leonardo puts him among the others rather than separate (as traditional dictated). Judas is the only one who seems not to be outraged or surprised. AddressPiazza Santa Maria delle Grazie 2, Milan Getting there\n- By Metro: Line 1: Conciliazione\n- By tram: Line 16: S Maria delle Grazia","headline":"Leonardo Da Vinci's Last Supper tickets and tours","id":393,"latitude":45.466091,"longitude":9.171187,"meta_description":"Get your tickets and tours for the Last Supper by Leonardo da Vinci in Milan. Admire one of the world's most famous masterpieces painted by one of the greatest artists!","meta_title":"Leonardo Da Vinci's Last Supper Tickets and Tours in Milan","name":"Leonardo's Last Supper","url":"https://www.musement.com/us/milan/leonardo-s-last-supper-v/"}],"verticals":[{"active":true,"code":"arts-culture","cover_image_url":"https://images.musement.com/vertical/0001/30/art-and-culture_header-29023.jpeg?w=540","id":1,"meta_description":"From classically beautiful renaissance paintings and sculptures to revolutionary modern artworks, admire world-renowned art with Musement.","meta_title":"Discover the remarkable world of Art and Museums","name":"Museums & art","relevance":100,"slug":"museums-art","url":"https://www.musement.com/us/museums-art-t/"}],"voucher_access_usage":"MOBILE","voucher_always_include_ours":false,"where_text":"Corso Magenta, 65/69, 20123 Milan MI, Italy
"}] - `venues.verticals.url` (string) An automatically generated Musement URL for the vertical based on the X-Musement-Market header and slug property. The URL is only valid for select X-Musement-Market values and active verticals. Example: "https://.sbox.musement.com/us/tours-attractions-t/" - `venues.verticals.relevance` (integer) A property used for ranking multiple verticals by popularity. Top selling verticals will have a higher value. Example: 90 - `venues.abstract` (string) A short description of the venue. - `venues.show_calendar` (boolean, required) Show the calendar on the venue page. - `venues.show_flavours_filter` (boolean, required) Show venue flavours as a filter on the venue page. - `venues.tips` (array, required) - `voucher_access_usage` (string) This property specifies if customers how customers need to present their vouchers to access a reserved activity: * MOBILE: Vouchers on smartphones or tablets are accepted. Printed vouchers are also accepted. PRINTED: Vouchers must be printed. Vouchers on smartphones or tables are not* accepted. * MIXED: Voucher requirements vary depending on the selected product. Enum: "MIXED", "MOBILE", "PRINTED" - `voucher_always_include_ours` (boolean) When an activity includes vouchers from activity providers, this property indicates whether customers must also receive a copy of the standard Musement voucher or not. - `where_text` (string) A street address for the location of the activity. Contains HTML. Translated based on the Accept-Language header value. Example: "
Corso Magenta, 65/69, 20123 Milan MI, Italy
" - `duration` (string) The duration of the activity, following the ISO 8601 standard. Use the duration_range property instead. - `extra_media_url` (string) A URL for additional media, such as seat maps. - `reduced` (string) General information on who can take advantage of reduced rates for the activity. Contains HTML. Translated based on the Accept-Language header value. - `saves` (integer) The number of customers who saved this activity to their favorites. - `seller_gateway` (object) The integration which handles the reservation flow. Example: {"code":"Direct","name":"Musement Partner"} - `seller_gateway.code` (string, required) The alphanumeric code that identifies the integration. Example: "Direct" - `seller_gateway.name` (string, required) The name of the integration. Example: "Musement Partner" - `url` (string) An automatically generated URL for the activity based on the activity properties and X-Musement-Market header value. The property value may consist of a single hashtag when no URL can be generated. Example: "https://www.musement.com/us/milan/da-vinci-s-last-supper-skip-the-line-tickets-and-guided-tour-497/" - `verticals` (array) A list of verticals the activity belongs to. Since this property is deprecated, partners are expected to use categories instead. Example: [{"active":true,"code":"arts-culture","cover_image_url":"https://images.musement.com/vertical/0001/30/art-and-culture_header-29023.jpeg?w=540","id":1,"meta_description":"From classically beautiful renaissance paintings and sculptures to revolutionary modern artworks, admire world-renowned art with Musement.","meta_title":"Discover the remarkable world of Art and Museums","name":"Museums & art","relevance":100,"slug":"museums-art","url":"https://www.musement.com/us/museums-art-t/"}] - `warnings` (string) Information related to delays or security concerns. Contains HTML. Translated based on the Accept-Language header value. - `when_text` (string) General information on dates, times and closures. Contains HTML. Translated based on the Accept-Language header value. ## Response 404 fields (application/json): - `code` (string, required) The internal Musement code for the error. Example: "1400" - `message` (string, required) A message with a brief explanation of the error. Example: "Resource does not exist" ## Response default fields (application/json): - `code` (string, required) The internal Musement code for the error. Example: "0" - `message` (string, required) A message with a brief explanation of the error. Example: "There was an error" ## Response 302 fields